package idi.gate.index;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.URL;
import java.util.ArrayList;
import java.util.List;


public class StopWords {
	
	private FileInputStream fis;
	private InputStreamReader isr;
	private BufferedReader br;
	ArrayList<String> list;
	
	public StopWords(URL file) throws IOException {
		String fileURL = file.getFile();
		fis = new FileInputStream(fileURL);
		isr = new InputStreamReader(fis);
		br = new BufferedReader(isr);

		list = new ArrayList<String>();
		String data;
		while ((data = br.readLine()) != null) {
			list.add(data);
		}
		br.close();
	}
	
	public ArrayList<String> getStopWordList(){
		return list;
	}

}
