package idi.gate.nlp.lemmatizer;

import java.util.TreeMap;

public class EnglishDictionary implements IDictionary{
	
	private TreeMap<String, String> wordList;
	
	public EnglishDictionary(TreeMap<String, String> wordList) {
		this.wordList = wordList;
	}
	
	public Word lookUpWord(String word) throws WordNotFoundException {
		if (wordList.containsKey(word)) {
			Word wordObject = new Word(word, wordList.get(word));
			return wordObject;
		}
		else throw new WordNotFoundException();
	}

}
