package idi.gate.associationrules.rule;

public class Rule {
	
	private String [] leftHandSide;
	private String rightHandSide;
	private double confidence;
	private int support;
	
	public Rule(String [] lh, String rh) {
		leftHandSide = lh;
		rightHandSide = rh;
	}
	
	public String [] getLeftHandSide () {
		return leftHandSide;
	}
	
	public String getRightHandSide () {
		return rightHandSide;
	}
	
	public String leftHandSideToString() {
		String lh = "";
		for (int i = 0; i < leftHandSide.length; i++) {
			lh += leftHandSide[i];
			if (i < leftHandSide.length-1) lh += ",";
		}
		return lh;
	}
	
	public String toString() {
		String lh = leftHandSideToString();
		return lh + " -> " + rightHandSide;
	}

	public double getConfidence() {
		return confidence;
	}

	public void setConfidence(double confidence) {
		this.confidence = confidence;
	}

	public int getSupport() {
		return support;
	}

	public void setSupport(int support) {
		this.support = support;
	}
}
