package idi.gate.index;

public class Document {
	private String documentName;
	private int documentId;
	private DocumentStatistics docStats;
	private Index index;
	
	public Document(gate.Document doc, int id) {
		init();
		docStats = new DocumentStatistics(doc);
		documentId = id;
		documentName = doc.getName();
		
	}
	
	private void init() {
		index = Index.getInstance();
		index.registrerDocument(this);
	}
	
	public String getDocumentName() {
		return documentName;
	}
	
	public int getDocumentId(){
		return documentId;
	}
	
	public DocumentStatistics getDocStats() {
		return docStats;
	}
	
}
