package idi.testframework;


import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.IOException;
import java.net.URL;


public class TexWriter {

	FileWriter fileWriter;
	BufferedWriter bufferedWriter;
	String fileName;
	
	public TexWriter(URL file, String table) {
		String fileURL = file.getFile();
		this.fileName = fileURL;
		writeTable(table);
	}
	
	public void writeTable(String table) {
		try {
			fileWriter = new FileWriter(this.fileName);
			bufferedWriter = new BufferedWriter(fileWriter);
			bufferedWriter.write(table);
			bufferedWriter.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
	
}
